# Generated from puppetmodule-netdev_stdlib-0.10.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppetmodule-netdev_stdlib

Name: rubygem-%{gem_name}
Version: 0.10.0
Release: 1%{?dist}
Summary: Type definitions for Networking Device (NetDev) Standard Library
License: Apache 2.0
URL: https://github.com/puppetlabs/netdev_stdlib
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rubocop)
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec-puppet)
# BuildRequires: rubygem(rspec) >= 2.13.0
# BuildRequires: rubygem(rspec) < 2.14
# BuildRequires: rubygem(puppetlabs_spec_helper)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
NetDev Standard Library provides Puppet types to configure network devices.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Modulefile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/netdev_stdlib.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.10.0-1
- Initial package
